Bug 155298 - Separate render tree updating from style resolve
Summary: Separate render tree updating from style resolve
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on: 155407 155766 156030
Blocks: 155406
  Show dependency treegraph
 
Reported: 2016-03-10 08:04 PST by Antti Koivisto
Modified: 2016-07-07 08:42 PDT (History)
7 users (show)

See Also:


Attachments
wip (86.09 KB, patch)
2016-03-10 08:06 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff
wip (86.12 KB, patch)
2016-03-10 08:16 PST, Antti Koivisto
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews116 for mac-yosemite (2.43 MB, application/zip)
2016-03-10 09:18 PST, Build Bot
no flags Details
wip (96.88 KB, patch)
2016-03-12 01:54 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff
wip (102.17 KB, patch)
2016-03-12 02:37 PST, Antti Koivisto
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews116 for mac-yosemite (305.96 KB, application/zip)
2016-03-12 03:23 PST, Build Bot
no flags Details
wip (102.17 KB, patch)
2016-03-12 06:48 PST, Antti Koivisto
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews117 for mac-yosemite (1.80 MB, application/zip)
2016-03-12 16:02 PST, Build Bot
no flags Details
wip (104.99 KB, patch)
2016-03-12 23:44 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff
wip (104.99 KB, patch)
2016-03-12 23:56 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff
wip (104.98 KB, patch)
2016-03-13 00:26 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff
wip (105.01 KB, patch)
2016-03-13 01:12 PST, Antti Koivisto
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-yosemite (1.34 MB, application/zip)
2016-03-13 03:10 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews121 for ios-simulator-wk2 (1.06 MB, application/zip)
2016-03-13 03:15 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews106 for mac-yosemite-wk2 (1.38 MB, application/zip)
2016-03-13 03:16 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews114 for mac-yosemite (1.51 MB, application/zip)
2016-03-13 03:17 PDT, Build Bot
no flags Details
wip (106.55 KB, patch)
2016-03-14 00:23 PDT, Antti Koivisto
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-yosemite (2.55 MB, application/zip)
2016-03-14 01:20 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews126 for ios-simulator-wk2 (1.08 MB, application/zip)
2016-03-14 01:34 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-yosemite-wk2 (2.40 MB, application/zip)
2016-03-14 01:35 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews115 for mac-yosemite (2.47 MB, application/zip)
2016-03-14 01:54 PDT, Build Bot
no flags Details
for bots (108.25 KB, patch)
2016-03-14 03:09 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff
for bots (108.07 KB, patch)
2016-03-14 04:03 PDT, Antti Koivisto
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-yosemite (15.63 MB, application/zip)
2016-03-14 05:01 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews124 for ios-simulator-wk2 (12.02 MB, application/zip)
2016-03-14 05:04 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews107 for mac-yosemite-wk2 (15.60 MB, application/zip)
2016-03-14 05:05 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews113 for mac-yosemite (15.90 MB, application/zip)
2016-03-14 05:36 PDT, Build Bot
no flags Details
for bots (108.81 KB, patch)
2016-03-14 07:08 PDT, Antti Koivisto
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-yosemite (15.60 MB, application/zip)
2016-03-14 08:28 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews107 for mac-yosemite-wk2 (15.66 MB, application/zip)
2016-03-14 08:31 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews126 for ios-simulator-wk2 (12.03 MB, application/zip)
2016-03-14 08:33 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews116 for mac-yosemite (15.97 MB, application/zip)
2016-03-14 08:53 PDT, Build Bot
no flags Details
for bots (108.40 KB, patch)
2016-03-18 06:18 PDT, Antti Koivisto
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-yosemite (15.23 MB, application/zip)
2016-03-18 07:11 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews107 for mac-yosemite-wk2 (15.28 MB, application/zip)
2016-03-18 07:17 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews121 for ios-simulator-wk2 (12.05 MB, application/zip)
2016-03-18 07:19 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews112 for mac-yosemite (15.33 MB, application/zip)
2016-03-18 07:28 PDT, Build Bot
no flags Details
patch (109.31 KB, patch)
2016-03-21 06:00 PDT, Antti Koivisto
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-yosemite (15.67 MB, application/zip)
2016-03-21 06:54 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews106 for mac-yosemite-wk2 (15.57 MB, application/zip)
2016-03-21 07:00 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews124 for ios-simulator-wk2 (12.07 MB, application/zip)
2016-03-21 07:01 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews112 for mac-yosemite (15.95 MB, application/zip)
2016-03-21 07:30 PDT, Build Bot
no flags Details
for bots (114.09 KB, patch)
2016-03-22 23:59 PDT, Antti Koivisto
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-yosemite (1.32 MB, application/zip)
2016-03-23 00:52 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews105 for mac-yosemite-wk2 (1.43 MB, application/zip)
2016-03-23 00:55 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews125 for ios-simulator-wk2 (977.44 KB, application/zip)
2016-03-23 00:59 PDT, Build Bot
no flags Details
for bots (113.50 KB, patch)
2016-03-23 01:08 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews117 for mac-yosemite (1.34 MB, application/zip)
2016-03-23 01:08 PDT, Build Bot
no flags Details
for bots (110.41 KB, patch)
2016-03-25 03:05 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff
patch (121.62 KB, patch)
2016-03-26 06:34 PDT, Antti Koivisto
kling: review+
Details | Formatted Diff | Diff
patch (123.23 KB, patch)
2016-03-31 12:39 PDT, Antti Koivisto
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-yosemite (1.62 MB, application/zip)
2016-03-31 13:32 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-yosemite-wk2 (1.62 MB, application/zip)
2016-03-31 13:35 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews124 for ios-simulator-wk2 (768.71 KB, application/zip)
2016-03-31 13:41 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews113 for mac-yosemite (1.55 MB, application/zip)
2016-03-31 14:00 PDT, Build Bot
no flags Details
patch (123.71 KB, patch)
2016-04-01 00:09 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff
patch (123.63 KB, patch)
2016-04-01 00:33 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Antti Koivisto 2016-03-10 08:04:19 PST
We currently update the render tree as we resolve style. If we need to create new renderers we enter a different code path that replicates much of the style resolve code. Making style resolve and render tree updating two separate operations will clean up the code and enable future improvements.
Comment 1 Antti Koivisto 2016-03-10 08:06:03 PST
Created attachment 273570 [details]
wip
Comment 2 Antti Koivisto 2016-03-10 08:16:33 PST
Created attachment 273571 [details]
wip
Comment 3 Build Bot 2016-03-10 09:18:23 PST
Comment on attachment 273571 [details]
wip

Attachment 273571 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/954621

New failing tests:
editing/inserting/insert-at-end-02.html
media/video-controls-captions-trackmenu-localized.html
editing/inserting/editing-empty-divs.html
media/controls/elementOrder.html
editing/style/typing-style-003.html
media/video-controls-audiotracks-trackmenu.html
accessibility/accessibility-node-reparent.html
editing/mac/spelling/autocorrection-simple.html
imported/blink/svg/css/svg-length-rem-type.svg
media/video-trackmenu-selection.html
media/video-controls-captions-trackmenu-only-captions-descriptions-and-subtitles.html
mathml/presentation/menclose-notation-attribute-change-value.html
imported/blink/fast/css-generated-content/pseudo-animation-display.html
media/media-controls-drag-timeline-set-controls-property.html
animations/cross-fade-list-style-image.html
editing/selection/4983858.html
editing/mac/spelling/autocorrection-removing-underline.html
media/video-controls-captions-trackmenu-sorted.html
editing/mac/spelling/autocorrection-removing-underline-after-paste.html
imported/blink/fast/pagination/first-letter-inherit-all-crash.html
editing/inserting/editable-html-element.html
editing/pasteboard/4989774.html
media/controls/track-menu.html
editing/style/remove-underline-from-stylesheet.html
media/controls/statusDisplay.html
editing/mac/spelling/autocorrection-contraction.html
media/track/track-manual-mode.html
css3/blending/repaint/blend-mode-isolate-stacking-context.html
Comment 4 Build Bot 2016-03-10 09:18:26 PST
Created attachment 273574 [details]
Archive of layout-test-results from ews116 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews116  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 5 Antti Koivisto 2016-03-12 01:54:59 PST
Created attachment 273825 [details]
wip
Comment 6 Antti Koivisto 2016-03-12 02:37:21 PST
Created attachment 273829 [details]
wip
Comment 7 WebKit Commit Bot 2016-03-12 02:39:05 PST
Attachment 273829 [details] did not pass style-queue:


ERROR: Source/WebCore/style/StyleSharingResolver.cpp:37:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 1 in 27 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 8 Build Bot 2016-03-12 03:23:41 PST
Comment on attachment 273829 [details]
wip

Attachment 273829 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/965538

Number of test failures exceeded the failure limit.
Comment 9 Build Bot 2016-03-12 03:23:45 PST
Created attachment 273832 [details]
Archive of layout-test-results from ews116 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews116  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 10 Antti Koivisto 2016-03-12 06:48:48 PST
Created attachment 273835 [details]
wip
Comment 11 WebKit Commit Bot 2016-03-12 14:51:22 PST
Attachment 273835 [details] did not pass style-queue:


ERROR: Source/WebCore/style/StyleSharingResolver.cpp:37:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 1 in 27 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 12 Build Bot 2016-03-12 16:02:12 PST
Comment on attachment 273835 [details]
wip

Attachment 273835 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/968265

New failing tests:
mathml/presentation/menclose-notation-attribute-change-value.html
media/video-controls-audiotracks-trackmenu.html
media/video-controls-captions-trackmenu-only-captions-descriptions-and-subtitles.html
media/video-controls-captions-trackmenu-localized.html
media/controls-drag-timebar.html
media/controls/elementOrder.html
media/controls/track-menu.html
editing/mac/spelling/autocorrection-removing-underline.html
editing/mac/spelling/autocorrection-contraction.html
media/track/track-manual-mode.html
media/video-controls-captions-trackmenu-sorted.html
editing/mac/spelling/autocorrection-removing-underline-after-paste.html
editing/mac/spelling/autocorrection-simple.html
media/video-trackmenu-selection.html
Comment 13 Build Bot 2016-03-12 16:02:16 PST
Created attachment 273858 [details]
Archive of layout-test-results from ews117 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 14 Antti Koivisto 2016-03-12 23:44:53 PST
Created attachment 273875 [details]
wip
Comment 15 Antti Koivisto 2016-03-12 23:56:10 PST
Created attachment 273876 [details]
wip
Comment 16 Antti Koivisto 2016-03-13 00:26:51 PST
Created attachment 273879 [details]
wip
Comment 17 Antti Koivisto 2016-03-13 01:12:09 PST
Created attachment 273882 [details]
wip
Comment 18 Build Bot 2016-03-13 03:10:51 PDT
Comment on attachment 273882 [details]
wip

Attachment 273882 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/970504

New failing tests:
media/video-controls-audiotracks-trackmenu.html
media/video-controls-captions-trackmenu-only-captions-descriptions-and-subtitles.html
media/video-controls-captions-trackmenu-localized.html
mathml/presentation/menclose-notation-attribute-change-value.html
media/controls/elementOrder.html
media/controls/track-menu.html
media/track/track-manual-mode.html
media/video-controls-captions-trackmenu-sorted.html
media/video-trackmenu-selection.html
Comment 19 Build Bot 2016-03-13 03:10:54 PDT
Created attachment 273884 [details]
Archive of layout-test-results from ews101 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 20 Build Bot 2016-03-13 03:14:58 PDT
Comment on attachment 273882 [details]
wip

Attachment 273882 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/970502

New failing tests:
editing/style/typing-style-003.html
fast/regions/position-writing-modes-in-variable-width-regions.html
mathml/presentation/menclose-notation-attribute-change-value.html
Comment 21 Build Bot 2016-03-13 03:15:01 PDT
Created attachment 273885 [details]
Archive of layout-test-results from ews121 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews121  Port: ios-simulator-wk2  Platform: Mac OS X 10.10.5
Comment 22 Build Bot 2016-03-13 03:15:57 PDT
Comment on attachment 273882 [details]
wip

Attachment 273882 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/970516

New failing tests:
mathml/presentation/menclose-notation-attribute-change-value.html
media/video-controls-audiotracks-trackmenu.html
media/video-controls-captions-trackmenu-only-captions-descriptions-and-subtitles.html
media/video-controls-captions-trackmenu-localized.html
media/controls-drag-timebar.html
media/controls/elementOrder.html
media/controls/track-menu.html
media/media-controls-drag-timeline-set-controls-property.html
media/controls/statusDisplay.html
media/track/track-manual-mode.html
media/video-controls-captions-trackmenu-sorted.html
media/video-trackmenu-selection.html
Comment 23 Build Bot 2016-03-13 03:16:00 PDT
Created attachment 273886 [details]
Archive of layout-test-results from ews106 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 24 Build Bot 2016-03-13 03:17:27 PDT
Comment on attachment 273882 [details]
wip

Attachment 273882 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/970490

New failing tests:
media/video-controls-audiotracks-trackmenu.html
media/video-controls-captions-trackmenu-only-captions-descriptions-and-subtitles.html
media/video-controls-captions-trackmenu-localized.html
mathml/presentation/menclose-notation-attribute-change-value.html
media/controls/elementOrder.html
media/controls/track-menu.html
media/media-controls-drag-timeline-set-controls-property.html
media/track/track-manual-mode.html
media/video-controls-captions-trackmenu-sorted.html
media/video-trackmenu-selection.html
Comment 25 Build Bot 2016-03-13 03:17:30 PDT
Created attachment 273887 [details]
Archive of layout-test-results from ews114 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews114  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 26 Antti Koivisto 2016-03-14 00:23:15 PDT
Created attachment 273931 [details]
wip
Comment 27 Build Bot 2016-03-14 01:19:59 PDT
Comment on attachment 273931 [details]
wip

Attachment 273931 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/975871

New failing tests:
media/video-controls-audiotracks-trackmenu.html
media/video-controls-captions-trackmenu-only-captions-descriptions-and-subtitles.html
media/video-controls-captions-trackmenu-localized.html
media/controls/elementOrder.html
media/controls/track-menu.html
media/track/track-manual-mode.html
media/video-controls-captions-trackmenu-sorted.html
media/video-trackmenu-selection.html
Comment 28 Build Bot 2016-03-14 01:20:03 PDT
Created attachment 273937 [details]
Archive of layout-test-results from ews102 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 29 Build Bot 2016-03-14 01:33:58 PDT
Comment on attachment 273931 [details]
wip

Attachment 273931 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/975921

New failing tests:
editing/style/typing-style-003.html
fast/regions/position-writing-modes-in-variable-width-regions.html
Comment 30 Build Bot 2016-03-14 01:34:02 PDT
Created attachment 273938 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-wk2  Platform: Mac OS X 10.10.5
Comment 31 Build Bot 2016-03-14 01:35:43 PDT
Comment on attachment 273931 [details]
wip

Attachment 273931 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/975925

New failing tests:
media/video-controls-audiotracks-trackmenu.html
media/video-controls-captions-trackmenu-only-captions-descriptions-and-subtitles.html
media/video-controls-captions-trackmenu-localized.html
media/controls-drag-timebar.html
media/controls/elementOrder.html
media/controls/track-menu.html
media/media-controls-drag-timeline-set-controls-property.html
media/controls/statusDisplay.html
media/track/track-manual-mode.html
media/video-controls-captions-trackmenu-sorted.html
media/video-trackmenu-selection.html
Comment 32 Build Bot 2016-03-14 01:35:46 PDT
Created attachment 273939 [details]
Archive of layout-test-results from ews104 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 33 Build Bot 2016-03-14 01:54:40 PDT
Comment on attachment 273931 [details]
wip

Attachment 273931 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/975972

New failing tests:
media/video-controls-audiotracks-trackmenu.html
media/controls/track-menu.html
media/track/track-text-track-destructor-crash.html
media/track/track-manual-mode.html
Comment 34 Build Bot 2016-03-14 01:54:43 PDT
Created attachment 273942 [details]
Archive of layout-test-results from ews115 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 35 Antti Koivisto 2016-03-14 03:09:58 PDT
Created attachment 273949 [details]
for bots
Comment 36 Antti Koivisto 2016-03-14 04:03:43 PDT
Created attachment 273955 [details]
for bots
Comment 37 Build Bot 2016-03-14 05:01:06 PDT
Comment on attachment 273955 [details]
for bots

Attachment 273955 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/976659

New failing tests:
media/video-controls-audiotracks-trackmenu.html
media/video-controls-captions-trackmenu-only-captions-descriptions-and-subtitles.html
media/video-controls-captions-trackmenu-localized.html
media/controls/elementOrder.html
media/controls/track-menu.html
media/controls/statusDisplay.html
media/track/track-manual-mode.html
media/video-controls-captions-trackmenu-sorted.html
media/video-trackmenu-selection.html
Comment 38 Build Bot 2016-03-14 05:01:10 PDT
Created attachment 273959 [details]
Archive of layout-test-results from ews101 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 39 Build Bot 2016-03-14 05:04:37 PDT
Comment on attachment 273955 [details]
for bots

Attachment 273955 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/976656

New failing tests:
editing/style/typing-style-003.html
fast/regions/position-writing-modes-in-variable-width-regions.html
Comment 40 Build Bot 2016-03-14 05:04:40 PDT
Created attachment 273960 [details]
Archive of layout-test-results from ews124 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews124  Port: ios-simulator-wk2  Platform: Mac OS X 10.10.5
Comment 41 Build Bot 2016-03-14 05:05:34 PDT
Comment on attachment 273955 [details]
for bots

Attachment 273955 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/976664

New failing tests:
media/video-controls-audiotracks-trackmenu.html
media/video-controls-captions-trackmenu-only-captions-descriptions-and-subtitles.html
media/video-controls-captions-trackmenu-localized.html
media/controls-drag-timebar.html
media/controls/elementOrder.html
media/controls/track-menu.html
media/media-controls-drag-timeline-set-controls-property.html
media/controls/statusDisplay.html
media/video-controls-captions-trackmenu-sorted.html
media/video-trackmenu-selection.html
Comment 42 Build Bot 2016-03-14 05:05:38 PDT
Created attachment 273961 [details]
Archive of layout-test-results from ews107 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 43 Build Bot 2016-03-14 05:36:42 PDT
Comment on attachment 273955 [details]
for bots

Attachment 273955 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/976743

New failing tests:
media/video-controls-audiotracks-trackmenu.html
media/controls/track-menu.html
media/track/track-text-track-destructor-crash.html
media/track/track-manual-mode.html
Comment 44 Build Bot 2016-03-14 05:36:46 PDT
Created attachment 273963 [details]
Archive of layout-test-results from ews113 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews113  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 45 Antti Koivisto 2016-03-14 07:08:10 PDT
Created attachment 273968 [details]
for bots
Comment 46 Build Bot 2016-03-14 08:28:13 PDT
Comment on attachment 273968 [details]
for bots

Attachment 273968 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/977369

New failing tests:
media/controls/elementOrder.html
media/controls/track-menu.html
Comment 47 Build Bot 2016-03-14 08:28:18 PDT
Created attachment 273976 [details]
Archive of layout-test-results from ews100 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 48 Build Bot 2016-03-14 08:31:23 PDT
Comment on attachment 273968 [details]
for bots

Attachment 273968 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/977368

New failing tests:
media/controls/statusDisplay.html
media/controls/elementOrder.html
media/controls/track-menu.html
media/media-controls-drag-timeline-set-controls-property.html
media/controls-drag-timebar.html
Comment 49 Build Bot 2016-03-14 08:31:29 PDT
Created attachment 273977 [details]
Archive of layout-test-results from ews107 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 50 Build Bot 2016-03-14 08:33:07 PDT
Comment on attachment 273968 [details]
for bots

Attachment 273968 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/977367

New failing tests:
editing/style/typing-style-003.html
fast/regions/position-writing-modes-in-variable-width-regions.html
Comment 51 Build Bot 2016-03-14 08:33:10 PDT
Created attachment 273978 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-wk2  Platform: Mac OS X 10.10.5
Comment 52 Build Bot 2016-03-14 08:53:05 PDT
Comment on attachment 273968 [details]
for bots

Attachment 273968 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/977416

New failing tests:
media/controls/track-menu.html
media/track/track-text-track-destructor-crash.html
Comment 53 Build Bot 2016-03-14 08:53:08 PDT
Created attachment 273982 [details]
Archive of layout-test-results from ews116 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews116  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 54 Antti Koivisto 2016-03-18 06:18:26 PDT
Created attachment 274409 [details]
for bots
Comment 55 Build Bot 2016-03-18 07:11:21 PDT
Comment on attachment 274409 [details]
for bots

Attachment 274409 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/999452

New failing tests:
media/controls/elementOrder.html
Comment 56 Build Bot 2016-03-18 07:11:28 PDT
Created attachment 274410 [details]
Archive of layout-test-results from ews101 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 57 Build Bot 2016-03-18 07:16:55 PDT
Comment on attachment 274409 [details]
for bots

Attachment 274409 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/999458

New failing tests:
media/controls/statusDisplay.html
media/controls/elementOrder.html
media/media-controls-drag-timeline-set-controls-property.html
media/controls-drag-timebar.html
Comment 58 Build Bot 2016-03-18 07:17:02 PDT
Created attachment 274411 [details]
Archive of layout-test-results from ews107 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 59 Build Bot 2016-03-18 07:19:26 PDT
Comment on attachment 274409 [details]
for bots

Attachment 274409 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/999455

New failing tests:
editing/style/typing-style-003.html
fast/regions/position-writing-modes-in-variable-width-regions.html
Comment 60 Build Bot 2016-03-18 07:19:31 PDT
Created attachment 274412 [details]
Archive of layout-test-results from ews121 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews121  Port: ios-simulator-wk2  Platform: Mac OS X 10.10.5
Comment 61 Build Bot 2016-03-18 07:28:40 PDT
Comment on attachment 274409 [details]
for bots

Attachment 274409 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/999469

New failing tests:
media/controls/elementOrder.html
media/controls-drag-timebar.html
Comment 62 Build Bot 2016-03-18 07:28:46 PDT
Created attachment 274413 [details]
Archive of layout-test-results from ews112 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 63 Antti Koivisto 2016-03-21 06:00:34 PDT
Created attachment 274581 [details]
patch
Comment 64 Build Bot 2016-03-21 06:54:39 PDT
Comment on attachment 274581 [details]
patch

Attachment 274581 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/1015701

New failing tests:
media/controls/elementOrder.html
media/media-controls-drag-timeline-set-controls-property.html
Comment 65 Build Bot 2016-03-21 06:54:44 PDT
Created attachment 274584 [details]
Archive of layout-test-results from ews102 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 66 Build Bot 2016-03-21 07:00:02 PDT
Comment on attachment 274581 [details]
patch

Attachment 274581 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/1015704

New failing tests:
media/controls/statusDisplay.html
media/controls/elementOrder.html
media/media-controls-drag-timeline-set-controls-property.html
media/controls-drag-timebar.html
Comment 67 Build Bot 2016-03-21 07:00:07 PDT
Created attachment 274586 [details]
Archive of layout-test-results from ews106 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 68 Build Bot 2016-03-21 07:01:27 PDT
Comment on attachment 274581 [details]
patch

Attachment 274581 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/1015702

New failing tests:
editing/style/typing-style-003.html
fast/regions/position-writing-modes-in-variable-width-regions.html
Comment 69 Build Bot 2016-03-21 07:01:32 PDT
Created attachment 274588 [details]
Archive of layout-test-results from ews124 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews124  Port: ios-simulator-wk2  Platform: Mac OS X 10.10.5
Comment 70 Build Bot 2016-03-21 07:30:00 PDT
Comment on attachment 274581 [details]
patch

Attachment 274581 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/1015709

New failing tests:
media/controls/elementOrder.html
media/media-controls-drag-timeline-set-controls-property.html
Comment 71 Build Bot 2016-03-21 07:30:05 PDT
Created attachment 274595 [details]
Archive of layout-test-results from ews112 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 72 Antti Koivisto 2016-03-22 07:07:06 PDT
Ahha. webkitcurrentplaybacktargetiswirelesschangedEvent hides these media control test failures locally. Commenting it out makes them repro.
Comment 73 Antti Koivisto 2016-03-22 23:59:20 PDT
Created attachment 274731 [details]
for bots
Comment 74 Build Bot 2016-03-23 00:52:28 PDT
Comment on attachment 274731 [details]
for bots

Attachment 274731 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/1024809

New failing tests:
media/controls/track-menu.html
Comment 75 Build Bot 2016-03-23 00:52:33 PDT
Created attachment 274734 [details]
Archive of layout-test-results from ews102 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 76 Build Bot 2016-03-23 00:54:58 PDT
Comment on attachment 274731 [details]
for bots

Attachment 274731 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/1024810

New failing tests:
media/controls/track-menu.html
Comment 77 Build Bot 2016-03-23 00:55:03 PDT
Created attachment 274735 [details]
Archive of layout-test-results from ews105 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 78 Build Bot 2016-03-23 00:59:04 PDT
Comment on attachment 274731 [details]
for bots

Attachment 274731 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/1024808

New failing tests:
editing/style/typing-style-003.html
Comment 79 Build Bot 2016-03-23 00:59:09 PDT
Created attachment 274736 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.10.5
Comment 80 Build Bot 2016-03-23 01:08:03 PDT
Comment on attachment 274731 [details]
for bots

Attachment 274731 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/1024816

New failing tests:
media/controls/track-menu.html
Comment 81 Antti Koivisto 2016-03-23 01:08:07 PDT
Created attachment 274737 [details]
for bots
Comment 82 Build Bot 2016-03-23 01:08:08 PDT
Created attachment 274738 [details]
Archive of layout-test-results from ews117 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 83 Antti Koivisto 2016-03-25 03:05:04 PDT
Created attachment 274896 [details]
for bots
Comment 84 Antti Koivisto 2016-03-26 06:34:34 PDT
Created attachment 274983 [details]
patch
Comment 85 Andreas Kling 2016-03-29 11:52:02 PDT
Comment on attachment 274983 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=274983&action=review

r=me

> Source/WebCore/style/RenderTreeUpdater.cpp:117
> +    // FIXME: SVG <use> element may cause tree mutations during style recalc.

This would be nice to get fixed, then.

> Source/WebCore/style/StyleUpdate.cpp:48
> +    auto it = m_elements.find(&element);
> +    if (it == m_elements.end())
> +        return nullptr;
> +    return &it->value;

I suppose this could just be "m_elements.get(&element);"
Comment 86 Antti Koivisto 2016-03-29 23:00:48 PDT
https://trac.webkit.org/r198828
Comment 87 WebKit Commit Bot 2016-03-30 11:20:18 PDT
Re-opened since this is blocked by bug 156030
Comment 88 Antti Koivisto 2016-03-31 12:39:25 PDT
Created attachment 275310 [details]
patch
Comment 89 Build Bot 2016-03-31 13:32:43 PDT
Comment on attachment 275310 [details]
patch

Attachment 275310 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/1076913

New failing tests:
svg/W3C-SVG-1.1-SE/types-dom-07-f.svg
svg/W3C-SVG-1.1/animate-elem-31-t.svg
plugins/focus.html
svg/W3C-SVG-1.1-SE/types-dom-02-f.svg
svg/foreignObject/fO-parent-display-none-with-relative-pos-content.svg
svg/foreignObject/fO-parent-of-parent-display-none-with-relative-pos-content.svg
svg/W3C-SVG-1.1-SE/types-dom-05-b.svg
svg/foreignObject/fO-parent-display-none.svg
svg/W3C-SVG-1.1-SE/types-dom-04-b.svg
svg/custom/painting-marker-07-f-inherit.svg
svg/as-image/img-zoom-svg-stylesheet.html
svg/W3C-SVG-1.1/pservers-grad-19-b.svg
svg/carto.net/tabgroup.svg
svg/custom/use-recalcStyle-crash.svg
svg/W3C-SVG-1.1-SE/painting-marker-07-f.svg
svg/foreignObject/fO-parent-of-parent-display-none.svg
svg/W3C-SVG-1.1/struct-group-03-t.svg
fast/dom/beforeload/remove-flash-in-beforeload-listener.html
Comment 90 Build Bot 2016-03-31 13:32:49 PDT
Created attachment 275317 [details]
Archive of layout-test-results from ews100 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 91 Build Bot 2016-03-31 13:35:12 PDT
Comment on attachment 275310 [details]
patch

Attachment 275310 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/1076918

New failing tests:
svg/W3C-SVG-1.1-SE/types-dom-07-f.svg
svg/W3C-SVG-1.1/animate-elem-31-t.svg
plugins/focus.html
svg/W3C-SVG-1.1-SE/types-dom-02-f.svg
svg/foreignObject/fO-parent-of-parent-display-none-with-relative-pos-content.svg
svg/W3C-SVG-1.1-SE/types-dom-05-b.svg
svg/foreignObject/fO-parent-display-none.svg
svg/W3C-SVG-1.1-SE/types-dom-04-b.svg
svg/custom/painting-marker-07-f-inherit.svg
svg/as-image/img-zoom-svg-stylesheet.html
svg/W3C-SVG-1.1/pservers-grad-19-b.svg
svg/carto.net/tabgroup.svg
svg/custom/use-recalcStyle-crash.svg
svg/W3C-SVG-1.1-SE/painting-marker-07-f.svg
svg/foreignObject/fO-parent-of-parent-display-none.svg
svg/W3C-SVG-1.1/struct-group-03-t.svg
svg/foreignObject/fO-parent-display-none-with-relative-pos-content.svg
Comment 92 Build Bot 2016-03-31 13:35:18 PDT
Created attachment 275318 [details]
Archive of layout-test-results from ews104 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 93 Build Bot 2016-03-31 13:41:02 PDT
Comment on attachment 275310 [details]
patch

Attachment 275310 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/1076923

New failing tests:
svg/foreignObject/fO-parent-display-none.svg
svg/foreignObject/fO-parent-of-parent-display-none-with-relative-pos-content.svg
svg/custom/painting-marker-07-f-inherit.svg
svg/as-image/img-zoom-svg-stylesheet.html
svg/custom/use-recalcStyle-crash.svg
svg/foreignObject/fO-parent-of-parent-display-none.svg
svg/foreignObject/fO-parent-display-none-with-relative-pos-content.svg
Comment 94 Build Bot 2016-03-31 13:41:08 PDT
Created attachment 275320 [details]
Archive of layout-test-results from ews124 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews124  Port: ios-simulator-wk2  Platform: Mac OS X 10.10.5
Comment 95 Build Bot 2016-03-31 14:00:51 PDT
Comment on attachment 275310 [details]
patch

Attachment 275310 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/1076963

New failing tests:
svg/W3C-SVG-1.1-SE/types-dom-07-f.svg
svg/W3C-SVG-1.1/animate-elem-31-t.svg
plugins/focus.html
svg/W3C-SVG-1.1/pservers-grad-19-b.svg
svg/W3C-SVG-1.1-SE/types-dom-02-f.svg
svg/W3C-SVG-1.1-SE/types-dom-05-b.svg
svg/foreignObject/fO-parent-display-none.svg
svg/W3C-SVG-1.1-SE/types-dom-04-b.svg
svg/custom/painting-marker-07-f-inherit.svg
svg/as-image/img-zoom-svg-stylesheet.html
fast/dom/beforeload/remove-flash-in-beforeload-listener.html
svg/W3C-SVG-1.1/struct-group-03-t.svg
svg/carto.net/tabgroup.svg
svg/custom/use-recalcStyle-crash.svg
svg/W3C-SVG-1.1-SE/painting-marker-07-f.svg
svg/foreignObject/fO-parent-of-parent-display-none.svg
svg/foreignObject/fO-parent-of-parent-display-none-with-relative-pos-content.svg
svg/foreignObject/fO-parent-display-none-with-relative-pos-content.svg
Comment 96 Build Bot 2016-03-31 14:00:56 PDT
Created attachment 275323 [details]
Archive of layout-test-results from ews113 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews113  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 97 Antti Koivisto 2016-04-01 00:09:37 PDT
Created attachment 275376 [details]
patch
Comment 98 Antti Koivisto 2016-04-01 00:33:07 PDT
Created attachment 275381 [details]
patch
Comment 99 Antti Koivisto 2016-04-01 02:55:58 PDT
The PLT regression was due to unnecessarily computing style for display:none subtrees. Relanded in https://trac.webkit.org/r198943
Comment 100 Antti Koivisto 2016-04-01 08:39:01 PDT
rdar://problem/25491019